@ECHO OFF&PUSHD %~DP0 &TITLE 绿化
Rd "%WinDir%\system32\test_permissions" >NUL 2>NUL
Md "%WinDir%\System32\test_permissions" 2>NUL||(Echo 请使用右键管理员身份运行！&&Pause >nul&&Exit)
Rd "%WinDir%\System32\test_permissions" 2>NUL
SetLocal EnableDelayedExpansion
echo.
SET /P ST=输入1绿化，输入2卸载：
if /I "%ST%"=="1" goto A
if /I "%ST%"=="2" goto B
:A
taskkill /f /im ViDown*
rd /s /q "%APPDATA%\ViDown"
md "%APPDATA%\ViDown\tools"
xcopy /e /c tools "%APPDATA%\ViDown\tools"
regsvr32 /s VdCom.ocx
exit
:B
taskkill /f /im ViDown*
regsvr32 /u /s VdCom.ocx
rd /s /q "%APPDATA%\ViDown"
exit
